Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class GlobalParameterSet

    java.lang.Object
      net.sf.saxon.instruct.GlobalParameterSet

    public class GlobalParameterSet

extends Object

A GlobalParameterSet is a set of parameters supplied when invoking a stylesheet or query. It is a collection of name-value pairs, the names being represented by numeric references to the NamePool. The values are objects, as supplied by the caller: conversion of the object to a required type takes place when the parameter is actually used.

Constructor Summary
`GlobalParameterSet()` Create an empty parameter set
`GlobalParameterSet(GlobalParameterSet existing)` Create a parameter set as a copy of an existing parameter set

Method Summary
`void` | `clear()` Clear all values
`Object` | `get(int fingerprint)` Get a parameter
`int[]` | `getKeys()` Get all the keys that have been allocated
`int` | `getNumberOfKeys()` Get the number of entries in the result of getKeys() that are significant
`void` | `put(int fingerprint, Object value)` Add a parameter to the ParameterSet

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalParameterSet

    public GlobalParameterSet()

  Create an empty parameter set

### GlobalParameterSet

    public GlobalParameterSet(GlobalParameterSet existing)

  Create a parameter set as a copy of an existing parameter set

Method Detail

### put

    public void put(int fingerprint,
                    Object value)

  Add a parameter to the ParameterSet

  Parameters:
    `fingerprint` - The fingerprint of the parameter name.
    `value` - The value of the parameter

### get

    public Object get(int fingerprint)

  Get a parameter

  Parameters:
    `fingerprint` - The fingerprint of the name.
  Returns:
    The value of the parameter, or null if not defined

### clear

    public void clear()

  Clear all values

### getKeys

    public int[] getKeys()

  Get all the keys that have been allocated

### getNumberOfKeys

    public int getNumberOfKeys()

  Get the number of entries in the result of getKeys() that are significant

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.